Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class NewWorkingDayExclusion

    java.lang.Object
      com.tibco.bpm.web.client.model.types.NewWorkingDayExclusion

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

Direct Known Subclasses:
  ExistingWorkingDayExclusion, NewRecurringExclusion

    public class NewWorkingDayExclusion

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

TODO Give a useful description of the type.

©2012 TIBCO Software Inc.

Since:
  TODO

Nested Class Summary
`static class` | `NewWorkingDayExclusion.FreeBusy` TODO Give a useful description of the type.

Constructor Summary
`NewWorkingDayExclusion()` TODO Describe this method

Method Summary
`CalendarDay` | `getDay()`
`java.lang.String` | `getDescription()` TODO Describe this method
`TimeHmm` | `getEnd()` TODO Describe this method
`NewWorkingDayExclusion.FreeBusy` | `getFreeBusy()` TODO Describe this method
`TimeHmm` | `getStart()` TODO Describe this method
`boolean` | `isAllDay()` TODO Describe this method
`void` | `setAllDay(boolean allDay)` TODO Describe this method
`void` | `setDay(CalendarDay day)`
`void` | `setDescription(java.lang.String description)` TODO Describe this method
`void` | `setEnd(TimeHmm end)` TODO Describe this method
`void` | `setFreeBusy(NewWorkingDayExclusion.FreeBusy freeBusy)` TODO Describe this method
`void` | `setStart(TimeHmm start)` TODO Describe this method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewWorkingDayExclusion

    public NewWorkingDayExclusion()

  TODO Describe this method

Method Detail

### getFreeBusy

    public NewWorkingDayExclusion.FreeBusy getFreeBusy()

  TODO Describe this method

  Returns:
    Returns the freeBusy.

### setFreeBusy

    public void setFreeBusy(NewWorkingDayExclusion.FreeBusy freeBusy)

  TODO Describe this method

  Parameters:
    `freeBusy` - The freeBusy to set.

### isAllDay

    public boolean isAllDay()

  TODO Describe this method

  Returns:
    Returns the allDay.

### setAllDay

    public void setAllDay(boolean allDay)

  TODO Describe this method

  Parameters:
    `allDay` - The allDay to set.

### getDescription

    public java.lang.String getDescription()

  TODO Describe this method

  Returns:
    Returns the description.

### setDescription

    public void setDescription(java.lang.String description)

  TODO Describe this method

  Parameters:
    `description` - The description to set.

### getStart

    public TimeHmm getStart()

  TODO Describe this method

  Returns:
    Returns the start.

### setStart

    public void setStart(TimeHmm start)

  TODO Describe this method

  Parameters:
    `start` - The start to set.

### getEnd

    public TimeHmm getEnd()

  TODO Describe this method

  Returns:
    Returns the end.

### setEnd

    public void setEnd(TimeHmm end)

  TODO Describe this method

  Parameters:
    `end` - The end to set.

### getDay

    public CalendarDay getDay()

### setDay

    public void setDay(CalendarDay day)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.